Subject: Re: For the FAQ: NT PATH problems
From: Chris Faylor <[email-masked]>
To: Kai Henningsen <[email-masked]>
Cc: Corinna Vinschen <[email-masked]>, [email-masked]
Date: Fri, 1 Oct 1999 08:09:25 -0400

On Fri, Oct 01, 1999 at 01:26:40PM +0200, Kai Henningsen wrote:
>On 1 Oct 99, at 11:43, Corinna Vinschen wrote:
>> Kai Henningsen wrote:
>> > 
>> > Q: I'm on NT, and bash can't find any commands unless I give the
>> > whole pathname. CYGWIN.BAT sets the PATH, but bash doesn't
>> > see this - it magically disappears again.
>> > 
>> > A: Under Settings/Control Panel/System/Environment, there are
>> > system and user variables. You need to have both a "Path" entry in
>> > the upper window, and a "PATH" entry in the lower window. The
>> > latter is probably missing.
>> > 
>> > Just type PATH into the Variable field, leave Value blank, and click
>> > on Set.
>> > 
>> > (Don't ask me why Microsoft decided to do it this way.)
>> 
>> I dont know, why you think so, but that is neither a general
>> problem, nor a solution. 
>
>It is an exact description of what happened to me, and how I solved 
>it. Nothing else worked; this worked immediately.
>
>Of course, now that I try to reproduce it, I can't. 
>
>(At one time, I had two or three versions of the cygwin directory in 
>the PATH in a DOS window, and after calling CYGWIN.BAT, bash 
>showed none of them in the PATH.)
>
>>NT concat's both PATHs to generate the
>> path for the current user. They also doesn't disappear if
>> they are correct. One problem seems to be the existence of a
>> trailing semicolon but I don't remember the exact effect. Maybe,
>> another reader can explain it?
>
>Maybe it's something that got broken installing SP5, and got 
>repaired once the Control Panel poked around. I certainly don't 
>know.

In that case, this will not be going into the FAQ.  Sorry.

-chris

--
Want to unsubscribe from this list?
Send a message to [email-masked]